## Apache Zeta Components Manual :: Docs For Class ezcBaseRepositoryDirectory

### Base::ezcBaseRepositoryDirectory

### Class ezcBaseRepositoryDirectory

Struct which defines a repository directory.

Source for this file: /Base/src/structs/repository_directory.php

    ezcBaseStruct
       |
       --ezcBaseRepositoryDirectory

Version: | //autogentag//

### Constants

`TYPE_EXTERNAL = 1` | Specifies that the entry is for an external (user defined) repository.
`TYPE_INTERNAL = 0` | Specifies that the entry is for the eZ Components repository.

### Member Variables

public string | `$autoloadPath` The path to the autoload files.
public string | `$basePath` The path to the configured repository.
public string | `$type` The $type is one of the two TYPE_* constants defined in this class.

### Method Summary

public static ezcBaseRepositoryDirectory | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcBaseRepositoryDirectory | `__construct( $type , $basePath , $autoloadPath )` Constructs a new ezcBaseRepositoryDirectory of type $type with base path $basePath and autoload path $autoloadPath.

### Methods

#### __set_state

static ezcBaseRepositoryDirectory __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcBaseRepositoryDirectory __construct( string $type , string $basePath , string $autoloadPath )

Constructs a new ezcBaseRepositoryDirectory of type $type with base path $basePath and autoload path $autoloadPath.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | string |
`$basePath` | string |
`$autoloadPath` | string |

Documentation generated by phpDocumentor 1.4.3